path: /build/build/qtprintsupport-dev-qt-5-5.15.2+6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test cups prefix" emerge dev-qt/qtprintsupport:5 -pv -t && \
    USE="-test cups prefix" emerge -j ${JOBS} --nodeps dev-qt/qtprintsupport:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtprintsupport && luet-portage --dir
    /pkgdir/qtprintsupport dev-qt/qtprintsupport:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:879829a0b5b4e536a838595d18d2b5cbffd7c1f641f94e4a32f9f4aa1d26678e
  package:
    name: qtprintsupport
    version: 5.15.2+6
    category: dev-qt-5
    use_flags:
    - -test
    - cups
    - prefix
    requires:
    - name: qtwidgets
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Printing support library for the Qt5 framework
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-07-03 16:57:46.103210411 +0000 UTC m=+185.874998606
    labels:
      BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
        virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
        cups? ( >=net-print/cups-1.4 ) test? ( =dev-qt/qtnetwork-5.15.2* ) test? (
        =dev-qt/qttest-5.15.2* )
      IUSE: cups gles2-only test debug test
      RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
        cups? ( >=net-print/cups-1.4 )
      emerge.packages: dev-qt/qtprintsupport:5
      kit: qt-kit
      original.package.name: dev-qt/qtprintsupport
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240606
    treedir: /build/packages
  package_dir: /pkgdir/qtprintsupport
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5aa9bc09bd677a78e4bf22a963f4cd2079ffd2dc3614609685901afe59314ebb
compressiontype: zstd
files:
- usr/include/qt5/Gentoo/qtprintsupport-qconfig.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qabstractprintdialog_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qcups_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qcupsjobwidget_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qpagesetupdialog_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qpagesetupdialog_unix_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qpaintengine_alpha_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qpaintengine_preview_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qprint_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qprintdevice_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qprintengine_pdf_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qprintengine_win_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qprinter_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qprinterinfo_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qtprintsupport-config_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/private/qtprintsupportglobal_p.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/qpa/qplatformprintdevice.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/qpa/qplatformprintersupport.h
- usr/include/qt5/QtPrintSupport/5.15.14/QtPrintSupport/qpa/qplatformprintplugin.h
- usr/include/qt5/QtPrintSupport/QAbstractPrintDialog
- usr/include/qt5/QtPrintSupport/QPageSetupDialog
- usr/include/qt5/QtPrintSupport/QPrintDialog
- usr/include/qt5/QtPrintSupport/QPrintEngine
- usr/include/qt5/QtPrintSupport/QPrintPreviewDialog
- usr/include/qt5/QtPrintSupport/QPrintPreviewWidget
- usr/include/qt5/QtPrintSupport/QPrinter
- usr/include/qt5/QtPrintSupport/QPrinterInfo
- usr/include/qt5/QtPrintSupport/QtPrintSupport
- usr/include/qt5/QtPrintSupport/QtPrintSupportDepends
- usr/include/qt5/QtPrintSupport/QtPrintSupportVersion
- usr/include/qt5/QtPrintSupport/qabstractprintdialog.h
- usr/include/qt5/QtPrintSupport/qpagesetupdialog.h
- usr/include/qt5/QtPrintSupport/qprintdialog.h
- usr/include/qt5/QtPrintSupport/qprintengine.h
- usr/include/qt5/QtPrintSupport/qprinter.h
- usr/include/qt5/QtPrintSupport/qprinterinfo.h
- usr/include/qt5/QtPrintSupport/qprintpreviewdialog.h
- usr/include/qt5/QtPrintSupport/qprintpreviewwidget.h
- usr/include/qt5/QtPrintSupport/qtprintsupport-config.h
- usr/include/qt5/QtPrintSupport/qtprintsupportglobal.h
- usr/include/qt5/QtPrintSupport/qtprintsupportversion.h
- usr/lib64/cmake/Qt5PrintSupport/Qt5PrintSupportConfig.cmake
- usr/lib64/cmake/Qt5PrintSupport/Qt5PrintSupportConfigVersion.cmake
- usr/lib64/cmake/Qt5PrintSupport/Qt5PrintSupport_QCupsPrinterSupportPlugin.cmake
- usr/lib64/libQt5PrintSupport.prl
- usr/lib64/libQt5PrintSupport.so
- usr/lib64/libQt5PrintSupport.so.5
- usr/lib64/libQt5PrintSupport.so.5.15
- usr/lib64/libQt5PrintSupport.so.5.15.14
- usr/lib64/pkgconfig/Qt5PrintSupport.pc
- usr/lib64/qt5/mkspecs/gentoo/qtprintsupport-qconfig.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_printsupport.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_printsupport_private.pri
- usr/lib64/qt5/plugins/printsupport/libcupsprintersupport.so
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/BDEPEND
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/BUILD_TIME
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/CATEGORY
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/CBUILD
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/CC
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/CFLAGS
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/CHOST
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/CONTENTS
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/COUNTER
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/CXXFLAGS
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/DEFINED_PHASES
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/DEPEND
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/DESCRIPTION
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/EAPI
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/FEATURES
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/HOMEPAGE
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/INHERITED
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/IUSE
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/KEYWORDS
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/LDFLAGS
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/LICENSE
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/NEEDED
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/PF
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/PROVIDES
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/RDEPEND
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/REQUIRES
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/RESTRICT
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/SIZE
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/SLOT
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/USE
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/environment.bz2
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/qtprintsupport-5.15.2_p20240606.ebuild
- var/db/pkg/dev-qt/qtprintsupport-5.15.2_p20240606/repository
package_cacheimage: ""
runtime:
  name: qtprintsupport
  version: 5.15.2+6
  category: dev-qt-5
  use_flags:
  - -test
  - cups
  - prefix
  requires:
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  - name: cups
    version: '>=0'
    category: net-print
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Printing support library for the Qt5 framework
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) dev-lang/perl
      virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
      cups? ( >=net-print/cups-1.4 ) test? ( =dev-qt/qtnetwork-5.15.2* ) test? ( =dev-qt/qttest-5.15.2*
      )
    IUSE: cups gles2-only test debug test
    RDEPEND: =dev-qt/qtcore-5.15.2*:5= =dev-qt/qtgui-5.15.2*[gles2-only=] =dev-qt/qtwidgets-5.15.2*[gles2-only=]
      cups? ( >=net-print/cups-1.4 )
    emerge.packages: dev-qt/qtprintsupport:5
    kit: qt-kit
    original.package.name: dev-qt/qtprintsupport
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240606
